apiVersion: v1
kind: Service
metadata:
 name: nginx-clusterip
spec:
 type: ClusterIP
 selector:
    app: my-nginx
 ports:
 - port: 8080
   targetPort: 80

#  my-nginx select 
# kubectl exec my-nginx -it sh 
# apk add curl 

#  kubectl describe pod my-nginx-5bb9b897c8-pvc76
# get ip for it 
# go to my-nginx select 
# curl  10.1.0.33
#  you have to remimber ip address 


# apply services 
#  kubectl apply -f clusterIP.service.yml 
#  kubectl get services
#  kubectl exec my-nginx -it sh 
# curl 10.100.209.223:8080
# curl http://nginx-clusterip:8080

